{
  config,
  ...
}: {
  programs.kitty = {
    enable = true;
    settings = {
        foreground = "#${config.colorScheme.colors.base07}";
        background = "#${config.colorScheme.colors.base00}";
        selection_foreground = "#${config.colorScheme.colors.base07}";
        selection_background = "#${config.colorScheme.colors.base03}";
        background_opacity = "0.9";
        
        cursor = "#${config.colorScheme.colors.base05}";
        cursor_text_color = "#${config.colorScheme.colors.base01}"; 
        
        url_color = "#${config.colorScheme.colors.base05}";

        active_border_color = "#${config.colorScheme.colors.base05}";
        inactive_border_color = "#${config.colorScheme.colors.base03}";
        bell_border_color = "#${config.colorScheme.colors.base09}";

        wayland_titlebar_color = "system";
        macos_titlebar_color = "system";

        active_tab_foreground = "#${config.colorScheme.colors.base0C}";
        active_tab_background = "#${config.colorScheme.colors.base01}";
        inactive_tab_foreground = "#${config.colorScheme.colors.base06}";
        inactive_tab_background = "#${config.colorScheme.colors.base00}";
        tab_bar_background =  "#${config.colorScheme.colors.base02}";

        mark1_foreground = "#${config.colorScheme.colors.base00}";
        mark1_background = "#${config.colorScheme.colors.base0C}";
        mark2_foreground = "#${config.colorScheme.colors.base00}";
        mark2_background = "#${config.colorScheme.colors.base0E}";
        mark3_foreground = "#${config.colorScheme.colors.base00}";
        mark3_background = "#${config.colorScheme.colors.base0A}";

        color0=  "#${config.colorScheme.colors.base00}";
        color1=  "#${config.colorScheme.colors.base01}";
        color2=  "#${config.colorScheme.colors.base02}";
        color3=  "#${config.colorScheme.colors.base03}";
        color4=  "#${config.colorScheme.colors.base04}";
        color5=  "#${config.colorScheme.colors.base05}";
        color6=  "#${config.colorScheme.colors.base06}";
        color7=  "#${config.colorScheme.colors.base07}";
        color8=  "#${config.colorScheme.colors.base08}";
        color9=  "#${config.colorScheme.colors.base09}";
        color10= "#${config.colorScheme.colors.base0A}";
        color11= "#${config.colorScheme.colors.base0B}";
        color12= "#${config.colorScheme.colors.base0C}";
        color13= "#${config.colorScheme.colors.base0D}";
        color14= "#${config.colorScheme.colors.base0E}";
        color15= "#${config.colorScheme.colors.base0F}";
  
        font_size = 12;
        window-padding-width = 15;
        # ...
    };
  };
}